Artboard
MCP Tools

Update an MCP Tool

Update MCP Tool

Updates an existing MCP tool configuration.

PATCH
/otto/api/mcp-servers/{mcp_server_slug}/tools/{id}

Path Parameters

id*number

PATCH /otto/api/mcp-servers/:mcp_server_slug/tools/:id Parameter

mcp_server_slug*string

PATCH /otto/api/mcp-servers/:mcp_server_slug/tools/:id Parameter

Request Body

application/json

PATCH /otto/api/mcp-servers/:mcp_server_slug/tools/:id Request body

name?string
Length1 <= length <= 100
description?string
script_name?string
Length1 <= length
input_schema?
is_active?boolean

Response Body

application/json

application/json

curl -X PATCH "https://your.server.net/otto/api/mcp-servers/string/tools/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "response": {},
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ]
}
{
  "response": {},
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ]
}